Subject: Re: [PATCH add immr alias 2/4] powerpc: 5121: Add immr alias to MPC5121 ADS device tree.

From: John Rigby <[email-masked]>
Date: Tue, 05 Aug 2008 15:17:00 -0600

Uncle!

U-boot:

    The 5121 currently fixes up the soc's bus-frequency node with a hard
    coded path.
    I'll leave it that way.

Kernel:

    I would like to use mpc83xx_add_bridge for 5121.  This is why I
    moved it to fsl_pci.c.  It currently uses get_immrbase and adds
    0x8300 and 0x8304 to it to pass to setup_indirect_pci as the
    cfg_addr, and cfg_data addresses.

    I'm more than willing to change mpc83xx_add_bridge to not use
    get_immrbase.  One simple solution is to pass the cfg_addr and
    cfg_data addresses in.  If that seems ok then thats what I will do.

John

Grant Likely wrote:
> Oops, forgot to add devicetree-discuss to the cc: list
>
> g.
>
> On Tue, Aug 5, 2008 at 3:05 PM, Grant Likely <[email-masked]> wrote:
>   
>> On Tue, Aug 5, 2008 at 2:13 PM, John Rigby <[email-masked]> wrote:
>>     
>>> So get_immrbase can function without a device_type = "soc"
>>> property in the soc node.
>>>
>>> The "soc" node should really be named "immr"
>>> because it does not include the entire soc, however
>>> u-boot currently looks up this node by name for
>>> a clock fixup so leave it "soc" for now.  We will change
>>> it later after 5121 u-boot uses the immr alias instead
>>> of the node name.
>>>       
>> Is it not sufficient to search the tree for a node with the
>> <chip>-immr compatible value?  I don't think this is the intended use
>> case of aliases.
>>
>> g.
>>
>> --
>> Grant Likely, B.Sc., P.Eng.
>> Secret Lab Technologies Ltd.
>>
>>     
>
>
>
>